import React, { Component } from "react";
import { NavLink } from "react-router-dom";
import "../assets/stylesheets/navbar.scss";

export default class NavBar extends Component {
  componentDidMount() {
    let path = window.location.pathname;
    if (path.includes("browse")) {
      document.getElementById("browse").style.backgroundColor = "#007CBE";
      document.getElementById("browse-s").style.color = "white";
    } else if (path.includes("settings")) {
      document.getElementById("settings").style.backgroundColor = "#007CBE";
      document.getElementById("settings-s").style.color = "white";
    } else if (path.includes("map")) {
      document.getElementById("map").style.backgroundColor = "#007CBE";
      document.getElementById("map-s").style.color = "white";
    } else if (path.includes("cable")) {
      document.getElementById("browse").style.backgroundColor = "#007CBE";
      document.getElementById("browse-s").style.color = "white";
    } else {
      document.getElementById("home").style.backgroundColor = "#007CBE";
      document.getElementById("home-s").style.color = "white";
    }
  }

  render() {
    return (
      <div className="navbar">
        <div className="navbar-top">
          <div className="navbar-top-hamburger">≡</div>
          <h1>Jukebox</h1>
          <div className="navbar-search">
            <input type="text" placeholder="Search" />
            <button>🔍</button>
          </div>
          <ol className="navbar-list">
            <NavLink
              style={this.upper}
              id="home"
              className="navbar-list-item"
              to="/"
            >
              <span id="home-s" style={this.lower}>
                ❤️ Summary
              </span>
            </NavLink>
            <NavLink className="navbar-list-item" id="browse" to="/browse">
              <span id="browse-s">🛍️ Browse</span>
            </NavLink>
            <NavLink className="navbar-list-item" id="map" to="/map">
              <span id="map-s">🗺️ Map</span>
            </NavLink>
            <NavLink className="navbar-list-item" id="settings" to="/settings">
              <span id="settings-s">⚙️ Settings</span>
            </NavLink>
          </ol>
        </div>
      </div>
    );
  }
}
