import React, { Component } from "react";
import BeldenLogo from "../assets/images/belden-white.png";
import DefaultPartImg from "../assets/images/part.png";
import { NavLink } from "react-router-dom";
import "../assets/stylesheets/cabledetail.scss";

class cable {
  constructor(
    part_number,
    position,
    name,
    brand,
    description,
    short_description,
    image
  ) {
    this.part_number = part_number;
    this.position = position;
    this.name = name;
    this.brand = brand;
    this.description = description;
    this.short_description = short_description;
    if (image === undefined) {
      this.image = DefaultPartImg;
    } else {
      this.image = image;
    }
  }

  returnDiv() {
    return (
      <NavLink className="browse-cable" to={"/cable/" + this.part_number}>
        <img className="browse-cable-image" src={this.image} alt="Cable" />
        <div className="browse-cable-label">
          <div className="browse-cable-name">{this.name}</div>
          <div className="browse-cable-brand">
            <span style={{ color: "#007cbe" }}>Brand: </span>
            {this.brand}
          </div>
          <div className="browse-cable-description">
            <span style={{ color: "#007cbe" }}>About: </span>
            {this.description}
          </div>
        </div>
        <span className="browse-cable-arrow">{">"}</span>
      </NavLink>
    );
  }
}

export default class CableDetailComponent extends Component {
  constructor(props) {
    super(props);
  }

  componentDidMount() {
    // this.props.socket.send('{"type":"cable_map","call":"request","data":{}}');
    // this.props.socket.addEventListener("message", this.handleMessage);
    const id = this.props.cableId;
    console.log("ID: ", id);
  }

  // handleMessage = (event) => {
  //   try {
  //     console.log("Message from server", event.data);
  //     const message = JSON.parse(event.data);
  //   } catch (error) {
  //     console.error("Error parsing message from server:", error);
  //   }
  // };

  // componentWillUnmount() {
  //   this.props.socket.removeEventListener("message", this.handleMessage);
  // }

  render() {
    return (
      <div className="cable">
        <div className="cable-image">
          <img src={BeldenLogo} alt="Belden" />
        </div>
        <div className="cable-fieldContainer">
        </div>
      </div>
    );
  }
}
